/*
Copyright 2023 TU Dresden, NFDI4Earth

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
NFDI4Earth Colours
Dark blue: #003F5F
Blue: 05 102 141
Light blue: 192 214 223
*/

#divMap {
    height: 600px;
}

#fallbackmap {
    height: 500px;
}

/* Logo */
.logoDiv {
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo {
    max-width: 170px;
    max-height: 90px;
}

/* Cards with members */
.membersBox {
    background-color: #fff;
    max-width: 1000px;
    display: flex;
    margin: 0 auto;
    text-align: center;
}

.membersGrid {
    width: auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 10px;
    text-align: center;
}

.membersGrid .member {
    border: 1px solid #ccc;
    box-shadow: 2px 2px 6px 0px rgba(187, 163, 206, 1);
    background-color: #fff;
    border-radius: 5px;
    cursor: pointer;
}

.membersGrid .logoDivGrid {
    width: auto;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Horizontal line */
.membersGrid .hrGrid {
    margin-right: 20px;
    margin-left: 20px;
    margin-top: 0px;
    margin-bottom: 0px;
}

.membersGrid .text {
    padding: 20px;
    color: #003F5F;
    text-align: center;
}

.membersGrid .nameCard {
    color: #003F5F;
}

.membersGrid .contactNameCard {
    text-transform: capitalize;
}

.membersGrid .emailCard {
    text-transform: lowercase;
}

.membersGrid .text a {
    color: rgb(05, 102, 141);
}

/* Popup color and font */
.custom-popup .leaflet-popup-content-wrapper {
    background: #fff;
    color: #003F5F;
    font-family: "Open Sans";
    font-size: 12px;
}

/* Color of anchor elements in popup */
.custom-popup .leaflet-popup-content-wrapper a {
    color: rgb(05, 102, 141);
}

/* Color of popup tip */
.custom-popup .leaflet-popup-tip {
    background: #fff;
}

/* Popup width */
.leaflet-popup-content {
    width: 170px;
}

.namePopup {
    color: #003F5F;
}

.contactNamePopup {
    text-transform: capitalize;
}

.participant {
    cursor: pointer;
}